### Branching Algorithms

In any living system function coarises with form (and with dynamics as
the final chapter will emphasize). To understand how form and function
co-arise we will focus on one of the most commonly appearing
self-organizing behavior: branching patterns in plants and nervous
systems. Branching patterns are found all over nature in both organic
(trees, neurons, vascular systems) and inorganic systems (rivers,
lightning, rock sedimentation, cracks on streets). Though branching
formations are made of completely different materials,
(organic/inorganic), on different scales (from micro to macro levels)
and circumstances, they all share similar recognizable patterns and
mathematical properties. The main difference is that organic systems can
act on the environment and reproduce themselves (they are autopoeitic),
instead of solely being acted upon. A break of symmetry and homogeneity
is found in branching patterns. Branches break the symmetry of the
cylindrical trunk, but do so in an iterative way, producing self-similar
branching patterns.

Strikingly, even though they are made of completely different material,
operate in different environments and scalar levels, why do certain
trees and neurons, like the Purkinje cell, share similar branching
structures (Images 1 & 2)?