## The Function of Forms
### Function as form embedded in an environment
By assuming functions in living systems, one can start to propose
plausible models for how function emerges, when the organism with all
its systems is placed in an environment. All living systems (with an
emphasis on nervous systems) form a sensorimotor loop with their
environment and this loop is essential to explain the ‘sine qua non’ of their structural/morphological/dynamical features. 


Evidently any living agent or organism only exists within the context of
its environment. That is, according to von Uexkull \cite{Uexk_ll_1934} a living
system can perceive certain external stimuli, forming a “perceptive
world”, and act upon what it perceives (“action world”). In modern terms
this could be understood as functions (perception and action) that
emerge from a sensorimotor loop. Thus any system that perceives and acts
requires some form of control mechanism to link perception and action.
This is equivalent to the Uexkuellian “inner world” of an agent, as for
instance the one produced by a neural system. In this conception,
behavior is interpreted as the ongoing activity of a sensorimotor loop
with potential actions it can perform on its environment, known as
functional loops \cite{Uexk_ll_1934a}. A simple example of a sensorimotor loop
is how jellyfish balance. Sensors (statocysts) are closely wired with actuators (contracting fibers). Inside
a statocyst lies a denser ball which is moved by inertia and touches the
inner ciliated cells (actine filaments in Figure 1) producing a nervous
reaction and ultimately functional movement, allow the jellyfish to 'know' which way is up.

