### Joining Branches
1. No joining of branches.
Example of systems where there are no intersections between branches
could be cells such as nerve cells (disregarding autaptic cells which
have synpases that connect to their body or dendrite, and disregarding
nerves connecting to another) and tree trunks and branches (disregarding
underground root structures that connect with themselves).
These can be modelled algorithmically as seen by Lindenmayer’s (1990)
L-systems which basically apply Hisao Honda’s (1971) simple rules:
> 1. Every branch forks into two ’daughter’ ranches at a single branching
> point.
>
> 2. The two daughter branches are shorter than the mother brancgh by
> constant ratios r1 and r2.
>
> 3. The two daughter branches lie in the same plane as the mother branch
> ans diverge from it at constant angles a1 and a2.
>
> 4. The branch plane is always such that a kine lying in this plane,
> perpendicular to the mother branch, is horizotal.
>
> 5. An exception to rule 4 is made for branches divergibg from the main
> trunk, which observe length ratios specified in (2) but branch off
> individually at a constant angle a2, with a fixed divergence angle alpha
> between consecutive branches.
Then once random weighted factors are applied (wind, rain, gravity,
light sources, collisions between branches, growth stunts, breakages,
etc) one obtains something that is structurally indistiguishble from a
tree-like form. Variability in branching also depends on which factors
are prioritized for optimization- either optimal total segment length,
segment area, total volume, or hypervolume (Karch, Neumann, Neumann, &
Schreiner, 2000) making organic tree structure as a whole look more
jagged, curvy, short, or long, etc.

2. Intersecting of branches: Vascular system vs leaf system.
Not only an autapse, a neuron that also connects to itself, most
frequently being a cortical interneuron (Tamás, Buhl & Somogyi, 1997),
presents an branch intersection. Vascular systems connect their blood
vessels and just as vessels of a leaf present interconnecting branches
(in the case of reticulated venation, most commonly found in most
dicotyledonous Angiosperms like oaks or roses). Both animal and plant
vascularity transport fluids and nutrients necessary for the tissue and
organism as a whole, minimizing energy by using an efficent “growing
hydraulic tube system”. The branching vessels tend to get smaller in
length and diameter all ending in the main size following a power law
and fractal branching ratios (West & Brown, 2005).

3. A mix of intersecting and non-intersecting branches.
Biological systems have to grow any intersecting branches which
initially were not connected, having to account for the subtle joining
of vascular or plant branches (angiogensis) and of synapses
(synaptogenesis). And also not every branch of the network will
necessarily intersect or connect with another, or one could imagine a
network with parts that don’t connect to themselves but to other parts
of the system, like a connection of non-autaptic nerve cells (i.e.
connection between branching patterns whose branches do not join
individually). Thus more complexity ensues.

Chemical attractors can be spread across the system such that
chemotaxis, the movement of a cell or cells towards chemical stimulus
happens. In vascular networks angiogenic proteins like the endothelia
growth factor allow for vasculogenesis, and in plant leaves vessels grow
towards a concentration of the hormone auxine and then frequently
intersect. More complicated growth algorithms can account for the
optimal distribution with a minimum of energy dissipation. Complexity is
seen in lapacian growth where positive feedback loops of small amplified
bumps may create new branches, and next to scaling laws, chemical
signalling. Branching may require possible factors such as: cell length
and volume, growth towards (stimulating) sources, intersections vs not
intersecting, the need for physical stability (a cytoskeleton to
withstand many physical forces), “hydraulics”/fluid dynamics to push and
pull liquids which may contain relevant materials (often nutrients or
energy to sustain the branching system and beyond); that all nodes are
connected, that branching following local rules and signals, and that
all nodes are connected, and branches cannot grow indefinetely. However,
an effective growth algorithm based on Ramon y Cajal’s simple rules of
having an optimal use of space, cytoplasm and conduction time can model
most neural growth and branching (Cuntz, et al. 2010). Taking into
account the functional constraints, Memelli, Torben-Nielsen, and
Kozloski (2013) built a growth algorithm based on the Galton–Watson
branching process, to show that even the variation in different neural
morphologies (motor, granular and Purkinje cells) can be accounted for
by applying self-similar inertial force based on membrane stiffness, a
soma-oriented tropism, and a force of self-avoidance.