### Optimizing form for function

Optimization in branching patterns enable to achieve the necessary
function, in the most efficient way possible, therewith allowing for a
better evolutionary chance for survival. Certain morphological forms
appear more frequently because they are more functional/teleological
than others. Hence it is assumed that there are similar
context-dependent growth algorithms (or functions) being applied in
the aforementioned branching structures (neurons, vessels and trees)
solve similar problems and constraints to grow and branch out
(angiogenesis versus synaptogenesis). This is accomplished by
following the path of least spatial resistance and best stimulation to
assure growth and connection opportunities. Just as neurons connect to
each other, trees can form vast underground mychorrizhal root networks
to share nutrients, even across species, in a symbiotic manner,
allowing the forest as a whole to have higher chances of surviving
Simard, 1994; Simard et al. 2015). And just as nerve cells can
communicate by releasing chemicals in the synaptic cleft, African
acacia trees can release chemicals across air to alarm neighbouring
trees of a threat (Gleadow & Møller, 2014; Attenborough). Both trees
and neurons share similar spatial constraints and necessary functions
for growth/morphogenesis. Both of these organic systems developed
their properties but were also determined by them, because the global
system (the whole organism) constantly interacts with parts of system
(eg. organs, tissues or cells) known as reciprocal determination
(Varela & Frenk, 1987). That is, local and global structures of the
same organism form a causal influence or circularity on another, where
not only the molecules but even the structural shape of the whole body
and its parts play a causal role (eg.a tree-like structure of an
organism is not just caused by the molecules that form it, but its own
shape can have causal effects in/on itself).

What becomes evident is that function and forms are intimately tied. As
Goodwin (1994) reflected, molecular compositions in themselves cannot
account for how something is shaped since many materials are
polymorphic: a carbon based crystal could form into a hard diamond or
fragile graphite simply depending on how one organized the carbon atoms.
The same goes for genetic protein composition, which contains essential
information on the actualization of an organism’s structure, but cannot
explain the whole picture without the process of morphogenesis.
