 _Figure 1. Statolith displacement inside a statocyst influences invertebrates' movement._
### Processes that produce themselves
Not only do all organisms exist solely within the environment, the
material that makes up an organism is collected and organized from the
environment. Organisms are _self-producing processes_ made of the same
substrate the world is made of, which organize themselves. As they do,
certain necessary functions must be the case: living systems are
encapsulated, dynamic, sensorimotor-looping entities which have agencies
such as self-motion, absorption of energy, self-renewal, and
reproduction \cite{Leigh_1995}. Each living system is formed of a
’self-contained, closed molecular dynamics of self-production, open to
the flow of molecules (...) as autonomous totalities in a molecular
medium with which they were in recursive molecular interchange’
(Maturana, Autopoiesis, structural coupling and cognition, p.x).
Organisms embody the self-referential ability to produce the processes
that produce themselves, known as autopoeisis. Organisms have molecules
that recursively produce molecules, whilst maintaining the structural
entity of the living systems, in a dynamic interaction on the molecular
level. The organization (of being a living entity) stays the same though
the structure may change, that is, organisms have organizational
invariances. Organizational invariances also appear at the group level.
When the structures of living units interact with their environment or
other units this is defined as structural coupling. "Structural
coupling", then, is the process through which structurally-determined
transformations in each of two or more systemic unities induces (for
each) a trajectory of reciprocally-triggered change. This makes
structural coupling one of the most critical constructs in autopoietic
theory” (Maturana, 1978).

### The development of form 
Autopoeisis leads to morphogenesis as a consequence of growth and differentiation. That is, self-referential self-contained molecular dynamics that create themselves (autopoeisis), have an inherent potential to produce form as a consequence of producing more of themselves, with changes. Autopoietic systems have the possibility to produce form as a consequence of their self sustaining dynamics. 

Morphogenesis, as postulated by Turing \cite{Turing_1952}, models which show very simple structures can give rise to more complicated and
instable patterns, similar to how a unicellular homogenous looking zygote can develop into a complex organism. The combination of stable chemical reactions with the stable diffusion of molecules within a cell (or a ring of cells) can create unstable patterns, where the initial symmetry and homogeneity can be broken. Turing’s (1952) main example was when chemical morphogens oscillate across a cellular tissue, where there is a wave of morphogen being either inhibited or activated, leading to patterns such as stripes or spots on animals; such oscillations being similar to the Belousov–Zhabotinsky reaction in non-living systems.

### Form from Physics
Morphogenesis is the study of how particular forms originate from growth and differentiation of the self-producing components. The processes conferring particular forms to organisms are, in their basis, given by the ineluctable physical properties of substrate. Even as it grows and multiplies, organic matter is subject to physical laws operating on the substrate. Physical laws operating at every scale  such as magnetism, electrical potentials, friction, hardness, diffusion, determine the possibilities of interaction between tissues and the environment. But more than growth and differentiation, morphogenesis confers _functional properties_ to tissue, such as elasticity, viscosity, adhesion, hardness, excitability. In an important sense, these physical properties of tissue confer functions to cells, organs and organisms.

### Neural Function from Form and Physics
 Neurons confer function to organisms through form and physics. The geometry of dendrites determines the information collection, while neuronal biochemistry and biophysics determines the neuronal state. That means, single neuron processing is both local and state dependent. However, when many neurons are brought together, other organizational schemes come into play, which may or may not be local and state dependent. These properties are also basal to population dynamics of neural networks oscillatory, which require locality, data collection  and state dependence to produce neural function.
 
However, even if the neural system is fully implemented within the constraints of physics and geometry, certain dynamical properties of the population are better described at functional levels, such as winner takes all (in the case of action selection) or population activity (in the case of muscle control).

It is a contention of this article that describing the physical properties of the neurons without regarding the function in the context of the organism is a blind search for detail. In order to produce theories that allow us to understand the brain as giving rise to behavior, our explanations will by necessity have to introduce functional components -- even if this means giving up utter objectivity.

 
 
 
 
 
 
