**_Figure 2. Hopfield Network Input Pattern_**. *All nodes (boxes) are
connected with each other. 1 = true/fire; -1 = false/don’t fire. The
first figure is the stored input pattern.*

### Hopfield Networks
Though Hopfield networks are not imperfect as they not only learn the stored
taught patterns, but also spurious patterns when firing and combining
recorded patterns, it does provide a fundamental insight into how
recalling informational content (content associative memory) may work in
the brain. Moreover the brain is not only dynamic and complex but also a
complex adaptive system because the electrochemical connections, action
potentials and ion channel dynamics show that they are able to learn
from their environment growing and inhibiting diverse functions
ultimately enabling neuroplasticity (probably with an underlying
biological form of Hebb’s rule). Neurotransmitters and their specific
receptors become adaptive in regards to the functions they are
actualizing. Complex adaptation can also be measured in the attractor
landscapes achieved by synergetic oscillations between nerve cells. For
instance gamma oscillations of the cortex can be seen as an invariant
property in the activation of single neurons. ‘

Neural dynamics help explain how functional behaviour is possible, and
how complex behaviour can emerge in seemingly simple systems with
trivial rules, as in the aforementioned examples on pattern formation.
There seems to be scale-free connectivity – that is self-similarity at
all scales. The structural co-dependence and interrelatedness of a
system with its subsystems, and systems as a whole amongst each other,
is best defined by dynamic systems which often present self-similar
fractal properties (and by extension, chaotic).


### Dynamics and Level Crossing
For instance a simple limb gesture of a moving mammal, involves a
complex array of systems from different levels interacting with another.
As seen in the image below, the movement of a limb can be explained on
different levels of magnification: from skeletal muscles acting
coordinately, to impulses received from single motor neurons, to body
posture being circularly influenced by the properties of single muscle
cells, whose activity results in feedback action potentials from
proprioception.

***Figure 3.*** *The levels of a gesture and coupled dynamic systems
(Negrello, 2011, pg. 91)
“A depiction of how dynamical systems may be coupled, and how variables
of level are defined by the neighboring levels. Overarching lines
represent parametrized dependencies between couples levels. Rectangles
represent chain of levels that are recurrent”. Of course the
levels/interfaces are abstractions, where the body simply acts as a
whole*.

Effectively, all these processes from so-called coupled dynamical
systems, that is, several dynamical systems, usually originating from
different magnitudes, interacting with one another, and eliciting mutual
responses. Muscle memory and unconscious body posture, balance and
movement-related processes can be regulated by the muscular and nervous
system itself, without a vast input from the cerebrum, just as more
conscious top-down movements can be prompted by the central nervous
system.

Movement is crucial in understanding why organisms have a nervous
system. Llinás proposed that nervous systems co-emerged with movement
across evolutionary cycles (Llinás, I of the vortex). He argues that
sessile beings such as plants don’t require a nervous system because of
a lack of the necessity to move in order to survive. As an example
Llinás explains how the sea squirt requires nervous activity when
presenting that active movement, also defined as motricity. This marine
creature starts life as a motile larva, equipped with a rudimentary
brainlike ganglion of about 300 neurons. But after a day or two of
cavorting in the shallows, the larva finds a hospitable site on the
bottom and puts down roots. As a sessile organism it has no further use
for a brain, and disposes of its nervous system by utilizing it as
nutrition. Planning and predicting movement requires a well-developed
control system. Next to the prediction of motricity such a control
system also requires a temporal coherence. According to Llinás (2002) “a
temporal coherence is believed to be the neurological mechanism that
underlies perceptual unity, the binding together or conjunction of
independently derived sensory components” (I of the Vortex, pg.121),
leading to somatosensory control system that can predict and interact in
both time and space. Llinás argues that motricity is the function that
explains the necessity for neural systems. However, though organisms
have the potentiality for motricity, motricity is not what made them
have nerve cells. That is because movement is only an actualization of
function and recent evidence has shown that plants can also have cells
which act very similar to nerve cells, communicating and sharing
nutrients as part of a complex adaptive system (Gorzalek, Simard). It
has been proposed by Llinás that the necessity of muscle movement in
animals required and co-emerged with the evolution of nervous systems.
We argue that it is the underlying (potentiality of) function, not
movement, which capacitates end-directed behavior, since plants, though
frequently sessile, share similar functions with nervous systems both
morphogenetically (as seen in similar branching behavior) as
adaptive-functionally (similar molecular communication habits albeit at
different temporal scales). However, one can even go one step further:
functional behavior can even arise without a nervous system, and without
being part of a living system in what is known as Braitenberg vehicles.

### Braitenberg Vehicles

Braitenberg vehicles, are man-made agents with primitive sensors
connected to basic motors, eventually being able to yield invariant
complex, adaptive, and goal-oriented behaviors. Valentino Braitenberg
realized that neuroanatomical constants abound, such as cortical folding
in mammalian brains, common neural circuits, or statistical invariances
like the proportion between neural density and brain volume, and that
they are likely reflecting ’some general principles of the architecture
of neural networks’ (Braitenberg, 1998, 2001). From his observations he
derived simple brush strokes of how functional behaviors emerge from
neural architecture in the most simple organisms with just a few nerve
cells, where sensory neural input and motor output are closely linked
(similar to reflex-like neurons). One of the simplest Braitenberg
vehicles would be constructed of two sensors directly cross wired to two
motors, presenting functions frequently associated with contralateral
sensorimotor behaviors in animals.
